## org.jfree.report.modules.gui.swing.common.localization
Class ActionLocaleUpdateHandler

    java.lang.Object
      org.jfree.report.modules.gui.swing.common.localization.ActionLocaleUpdateHandler

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

    public class ActionLocaleUpdateHandler

extends java.lang.Object
implements java.beans.PropertyChangeListener

Creation-Date: 30.11.2006, 13:04:07

Author:
  Thomas Morgner

Constructor Summary
`ActionLocaleUpdateHandler(LocalizedAction target)`

Method Summary
`void` `propertyChange(java.beans.PropertyChangeEvent evt)` This method gets called when a bound property is changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionLocaleUpdateHandler

    public ActionLocaleUpdateHandler(LocalizedAction target)

Method Detail

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  This method gets called when a bound property is changed.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.